Package twisted :: Package python :: Module formmethod

[frames | no frames]

## Module twisted.python.formmethod

Form-based method objects.

This module contains support for descriptive method signatures that can be used to format methods. Currently this is only used by woven.

Classes
`Argument` | Base class for form arguments.
`Boolean` |
`CheckGroup` |
`Choice` | The result of a choice between enumerated types.
`Date` | A date -- (year, month, day) tuple.
`File` |
`Flags` | The result of a checkbox group or multi-menu.
`Float` |
`FormMethod` | A callable object with a signature.
`Hidden` | A string which is not displayed.
`Integer` | A single integer.
`IntegerRange` |
`MethodSignature` |
`Password` | A string which should be obscured when input.
`PresentationHint` | A hint to a particular system.
`RadioGroup` |
`String` | A single string.
`Submit` | Submit button or a reasonable facsimile thereof.
`Text` | A long string.
`VerifiedPassword` | A string that should be obscured when input and needs verification.

Exceptions
`FormException` | An error occurred calling the form method.
`InputError` | An error occurred with some input.

Function Summary
| `positiveInt(x)`

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net